Index: WAeUP_SRP/trunk/skins/waeup_student/application_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 482)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 483)
@@ -12,9 +12,14 @@
   <metal:block fill-slot="main">
       <tal:block 
-          tal:define="rendered python:context.getContent().renderEdit(
+          tal:define="rendered_pin python:context.getContent().renderEdit(
+                layout_id='pin',
+                layout_mode='edit',
+                );
+                rendered_main python:context.getContent().renderEdit(
                 layout_id='student_application_fe',
                 layout_mode='edit',
                 );">
-      <tal:block tal:content="structure rendered" />
+      <tal:block tal:content="structure rendered_pin" />
+      <tal:block tal:content="structure rendered_main" />
       </tal:block>  
   </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 482)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 483)
@@ -1,3 +1,4 @@
-<tal:block define="rendered_main options/rendered;
+<tal:block define="rendered_pin options/renderes_pin
+                   rendered_main options/rendered_main;
                    portal_status_message options/psm;
                    data_storage options/ds;
@@ -15,8 +16,9 @@
       <metal:block fill-slot="main">
         <h1>Apply for the Post University Matriculation Examination! </h1>
+        <div tal:replace="structure rendered_pin" />
         <div tal:replace="structure rendered_main" />
           <p>Instructions :</p>
           <ul>
-            <li>Buy an Appliiication Scratch Card.</li> 
+            <li>Buy an Application Scratch Card.</li> 
             <li>Enter your JAMB registration number and the Application PIN above.</li> 
             <li>Upload your passport picture.</li> 
Index: WAeUP_SRP/trunk/skins/waeup_student/student_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 482)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 483)
@@ -40,12 +40,12 @@
     if context.portal_workflow.getInfoFor(student,'review_state',None) == "application_pin_entered":
         student.content_status_modify(workflow_action="apply_for_admission")
-        is_valid, ds = doc.validate(request=REQUEST, 
-                                    proxy=context, 
+        is_valid, ds = doc.validate(request=REQUEST,
+                                    proxy=context,
                                     layout_id = "student_application_fe",
                                     layout_mode = 'edit',
                                     use_session=True)
-        
+
         action = '/application_form'
-        
+
         if is_valid:
             comments = REQUEST.get('comments')
@@ -53,5 +53,5 @@
             if cpsdocument_edit_and_view_button is not None:
                 action = ''
-            psm = 'passport image uploaded'
+            psm = 'You successfully uploaded your passport image.'
             args = {}
             action = "/view"
@@ -61,15 +61,15 @@
     else:
         args = {}
-        psm = "Application applied waiting for results"
+        psm = "You successfully applied for admission."
         action = "/view"
 else:
     is_valid, ds = doc.validate(request=REQUEST, proxy=context, cluster=cluster,
                                 use_session=True)
-    
+
     if action is None:
         ti = doc.getTypeInfo()
         action = ti.queryMethodID('edit', 'cpsdocument_edit_form')
         action = '/' + action
-    
+
     if is_valid:
         comments = REQUEST.get('comments')
@@ -82,5 +82,5 @@
         psm = 'psm_content_error'
         args = getFormUidUrlArg(REQUEST)
-    
+
 args['portal_status_message'] = psm
 url = context.absolute_url() + action + '?' + urlencode(args)
